package com.abi.qms.platform;

import com.abi.qms.platform.dao.vo.result.QrRepertorySelectDetailVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.lang.reflect.Field;
import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.Map;

@SpringBootTest
@Slf4j
public class ReactBeanTest {


    @Test
    public void testGenerateBean() {
        Class clz = QrRepertorySelectDetailVO.class;

        Map<Class,String> classMap = new HashMap<>();
        classMap.put(String.class,"string");
        classMap.put(LocalDateTime.class,"string");
        classMap.put(Long.class,"string");
        classMap.put(Integer.class,"number");

        StringBuffer sb = new StringBuffer();

        Field[] declaredFields = clz.getDeclaredFields();
        for(Field field:declaredFields){
            ApiModelProperty annotation = field.getAnnotation(ApiModelProperty.class);
            String desc = annotation==null?"":annotation.value();
//            System.out.println(field.getName());
//            System.out.println(classMap.get(field.getType()));
//            System.out.println(desc);

            sb.append(String.format("// %s\n",desc));
            sb.append(String.format("%s: %s;\n",field.getName(),classMap.get(field.getType())));
        }
        System.out.println(sb.toString());
    }

}
